> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/powershell-commands/out-udtabledata.md).

# Out-UDTableData

### Synopsis

Formats data to be output from New-UDTable's -LoadRows script block.

### Syntax

```powershell
Out-UDTableData [-Data] <Object> [-Page] <Int32> [-TotalCount] <Int32> [-Properties] <String[]> [<CommonParameters>]
```

### Description

Formats data to be output from New-UDTable's -LoadRows script block.

### Parameters

#### -Data The data to return from LoadRows.Required?                    truePosition?                    1Default valueAccept pipeline input?       true (ByValue)AliasesAccept wildcard characters?  false-PageThe current page we are on within the table.Required?                    truePosition?                    2Default value                0Accept pipeline input?       falseAliasesAccept wildcard characters?  false-TotalCountThe total count of items within the data set.Required?                    truePosition?                    3Default value                0Accept pipeline input?       falseAliasesAccept wildcard characters?  false-Properties \<String\[]>The properties that are currently passed from the table. You can return the array from the $EventData.Properties array.Required?                    truePosition?                    4Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false    \<CommonParameters>        This cmdlet supports the common parameters: Verbose, Debug,        ErrorAction, ErrorVariable, WarningAction, WarningVariable,        OutBuffer, PipelineVariable, and OutVariable. For more information, see        about\_CommonParameters (<https://go.microsoft.com/fwlink/?LinkID=113216).Outputs--------------------------> EXAMPLE 1 --------------------------PS > See New-UDTable for examples.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/powershell-commands/out-udtabledata.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
